From 346c71d40e4980eefd41ab8d56aaede79718e9e2 Mon Sep 17 00:00:00 2001
From: Aurélien Bompard <aurelien@bompard.org>
Date: Feb 09 2017 15:58:10 +0000
Subject: [PATCH 715/1001] Convert the contact widget


---

diff --git a/hubs/widgets/contact/__init__.py b/hubs/widgets/contact/__init__.py
new file mode 100644
index 0000000..88841fe
--- /dev/null
+++ b/hubs/widgets/contact/__init__.py
@@ -0,0 +1,75 @@
+from __future__ import unicode_literals
+
+import flask
+
+import fedmsg.config
+import fedmsg.meta
+import hubs.models
+
+from hubs.widgets.base import Widget, WidgetView
+from hubs.widgets.chrome import panel
+
+config = fedmsg.config.load_config()
+
+
+class Contact(Widget):
+
+    name = "contact"
+    position = "both"
+
+
+class BaseView(WidgetView):
+
+    name = "root"
+    url_rules = ["/"]
+    template_name = "templates/contact.html"
+    chrome = panel()
+
+    def get_context(self, instance, *args, **kwargs):
+        ''' Data for Contact widget. Checks if the hub associated
+        with instance is of a user or not. If the hub is of a user, return
+        data related to the user else, hub is of a fedora team
+        - return data related to the team '''
+        # TODO: update this section when FAS3 is deployed
+
+        hub = instance.hub
+        if hub.user_hub:
+            usergroup = True
+            user = hubs.models.User.by_username(hub.name)
+            email = user.username + '@fedoraproject.org'
+            karma_url = flask.url_for('plus_plus_status', user=user.username)
+            fas_info = {
+                'usergroup': usergroup,
+                'location': 'United States',
+                'timezone': 'UTC',
+                'email': email,
+                'ircnick': user.username,
+                'karma_url': karma_url,
+                'account_age': 'Oct 2010',
+            }
+        else:
+            usergroup = False
+            # TODO: update this section integrating with FAS3
+            if hub.name == 'infrastructure':
+                ircchannel = 'apps'
+                hubname = 'infrastructure'
+            elif hub.name == 'designteam':
+                ircchannel = 'design'
+                hubname = 'design'
+            elif hub.name == 'marketing':
+                ircchannel = 'mktg'
+                hubname = 'marketing'
+            else:
+                ircchannel = hub.name
+                hubname = hub.name
+            mailinglist = 'https://lists.fedoraproject.org/archives/list/{}'
+            '@lists.fedoraproject.org/'.format(hubname)
+            wikilink = 'https://fedoraproject.org/wiki/' + hubname
+            fas_info = {
+                'usergroup': usergroup,
+                'hubname': hubname,
+                'ircchannel': 'fedora-%s' % ircchannel,
+                'mailinglist': mailinglist,
+                'wikilink': wikilink,
+            }
+        return fas_info

